Ergebnis 1 bis 9 von 9

Thema: Serverfehler bei Installation ZC1.3.8

  1. #1
    Padawan Stufe VIII Avatar von Lissy73
    Registriert seit
    27.09.2006
    Ort
    Rheinland-Pfalz
    Beiträge
    996
    Themen
    95
    DANKE
    0
    Erhaltene Danke: 2

    Standard Serverfehler bei Installation ZC1.3.8

    Hallo zusammen,

    ich wollte eigentlich die neue Version 1.3.8 mal testweise installieren, doch leider bekomme ich eine Serverfehlermeldung nach der Datenbank eingabe.

    hier die entsprechende Meldung:

    Serverfehler!
    Die Anfrage kann nicht beantwortet werden, da im Server ein interner Fehler aufgetreten ist.

    Fehlermeldung:
    Premature end of script headers: index.php

    Wenn ich in der Datenbank selber reinschaue, wurden hier 95 Blöcke(?) installiert. Dennoch komme ich nicht zum nächsten Schritt der Installation.

    Weiß vielleicht jemand Rat?

    Gruß
    Lissy

    Achso...ich habe eine MySQL Datenbank 5 bei 1blu installiet!
    Gruß
    Lissy

    *****************************

    ZenCart Version 1.3.7 sowie ZC 1.3.8

    Apache/2.0.54 (Debian GNU/Linux) mod_ssl/2.0.54 OpenSSL/0.9.7e

  2. #2
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.095
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 963

    Standard

    Lösche mal die bereits angelegten Tables und probier mal erst die .htaccess im zc_install zu löschen und dann erst den Installer aufzurufen. Läuft es dann durch?
    Was sagt den der Installer bei der Prüfung der Voraussetzungen, ist da alles im grünen Bereich?
    Ansonsten poste mal bitte genaue PHP und MySQL Version.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  3. #3
    Padawan Stufe VIII Avatar von Lissy73
    Registriert seit
    27.09.2006
    Ort
    Rheinland-Pfalz
    Beiträge
    996
    Themen
    95
    DANKE
    0
    Erhaltene Danke: 2
    Erstellt von

    Standard

    Hallo webchills,

    auch ein Löschen der .htaccess hat das Installationsprogramm nicht durchlaufen lassen.

    Selbe Fehlermeldung wie auch schon oben geschrieben.

    Bis auf folgende Ausrufezeichen ist alles grün:

    ! PHP API Modus = cgi-fcgi
    ! Register Globals = EIN
    ! Aktueller SQL Cache Ordner= /var/www/html/zencart-german/branches/zc138/cache --> nicht beschreibbar
    ! PHP Output Buffering (gzip) = Aus

    Wie gesagt, alles andere ist grün nur diese sind orange mit Ausrufezeichen!

    PHP Version: PHP Version 4.4.2-Debian-0.1~sarge1 (Debian GNU/Linux)
    MySQL 5.0

    Gruß
    Lissy
    Gruß
    Lissy

    *****************************

    ZenCart Version 1.3.7 sowie ZC 1.3.8

    Apache/2.0.54 (Debian GNU/Linux) mod_ssl/2.0.54 OpenSSL/0.9.7e

  4. #4
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.095
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 963

    Standard

    Was mich etwas stutzig macht ist
    /var/www/html/zencart-german/branches/zc138/cache als SQL cache Verzeichnis.
    Ist das die 1.3.8 aus dem Downloadbereich? Heißt das Verzeichnis in das Du den Shop installierst wirklich zencart-german/branches/zc138?
    Schau mal die beiden configure.php Dateien am Server an, ob die angelegt wurden und was dort bei DIR_FS_SQL_CACHE steht. Passe das auf Deinwn Server an und gib dem cache Ordner chmod 777.
    Stell überhaupt am besten mal SQL_CACHE_METHOD auf none.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  5. #5
    Padawan Stufe VIII Avatar von Lissy73
    Registriert seit
    27.09.2006
    Ort
    Rheinland-Pfalz
    Beiträge
    996
    Themen
    95
    DANKE
    0
    Erhaltene Danke: 2
    Erstellt von

    Standard

    Der Download war hier aus dem Forum! Habe diesen nach entpacken direkt auf den Server geladen und nichts verändert!
    Ja das mit dem Verzeichnis stört mich auch! Da ich auch diesbezüglich überhaupt kein Verzeichnis angelegt.

    Vorallem steht überall in der config /var/www/html/zencart-german/branches/zc138/ und ich weiß nicht woher er das hat!

    Ich hatte mit Cache schon alles ausprobiert... None, File, Database. auch hatte ich gesagt er soll es in das Verzeichnis setzten, das ich dem System genannt habe. Und trotzdem steht immer wieder das mit /var/www/html/zencart-german/branches/zc138/ drin!

    Ich werde jetzt einfach mal ein Verzeichnis anlegen und mal schauen, was dann passiert!

    Melde mich dann wieder!

    Bis dann
    Lissy
    Gruß
    Lissy

    *****************************

    ZenCart Version 1.3.7 sowie ZC 1.3.8

    Apache/2.0.54 (Debian GNU/Linux) mod_ssl/2.0.54 OpenSSL/0.9.7e

  6. #6
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.095
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 963

    Standard

    Zitat Zitat von Lissy73
    Vorallem steht überall in der config /var/www/html/zencart-german/branches/zc138/ und ich weiß nicht woher er das hat!
    Das ist schon ok, das sind die Originalbeispielwerte aus der config.php, die bei 1.3.8 dabei ist. Die sollten dann mit Deinen Eingaben überschrieben werden und das passiert nicht. Die config.php haben schon chmod 666 oder?
    Editiere die beiden configs einfach mal schon vor der Installation mit Deinen Werten.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  7. #7
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.095
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 963

    Standard

    Und die .htaccess in includes und admin und admin/includes mal löschen vor der Installation und erst danach wieder hochladen.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  8. #8
    Padawan Stufe VIII Avatar von Lissy73
    Registriert seit
    27.09.2006
    Ort
    Rheinland-Pfalz
    Beiträge
    996
    Themen
    95
    DANKE
    0
    Erhaltene Danke: 2
    Erstellt von

    Standard

    Also ich habe jetzt allo .htaccess Dateien rausgelöscht.

    Die configure.php hatte ich einmal mit 666 und auch mit 777 probiert, und dennoch kann ich die Installation nicht fortführen.

    Sowie es im Moment aussieht hänge ich in einer "Schleife" ich bekomme bei der Systemprüfung den Hinweis:

    • Update Modus verfügbar

      Es wurde eine vorherigen Zen Cart Installation gefunden:
      Die installierte Version scheint eine Zen Cart v1.3.8 zu sein


    Als Auswahl habe ich jetzt Update oder installieren oder Datenbank aktualisieren. Gehei ich auf Installieren, bekomme ich nach paar Sekunden diese Meldung:

    Code:
    :: Zen Cart™ Installation - Time Out
    
    Problem entdeckt
    Es wurde ein Problem festgestellt.
    
    Dieses Installationsprogramm muß eine PHP Session starten können, um die Installation abschließen zu können.
    
    Mögliche Gründe, warum diese Seite angezeigt wird inkl.:
    
        *
          Vielleicht gab es einen Time-Out
          Wenn Sie die Installation länger als 20 Minuten nicht beaufsichtigt haben, dann sind alle informatione die Sie bisher eingegeben haben nicht mehr verfügbar. In diesem Fall müssen Sie die Installation erneut starten.
    
          Bitte lassen Sie die Installation nicht für längere Zeit unbeaufsichtigt. Die Installation sollte unter normalen Umständen nur 5 Minuten dauern.
    
        *
          Der Server hat keinen Platz um die Situnzgs (Session) Dateien zu schreiben.
          Wenn Sie den Cache Ordner nicht bereits beschreibbar gemacht haben, dann holen Sie diese bitte jetzt nach, damit die Installation fortgesetzt werden kann. Weitere Informationen, wie Sie den Cache Ordner beschreibbar machen können finden Sie in der Installationsanleitung oder in den Online FAQs.
    
        *
          PHP sessions funktionieren möglicherweise nicht auf diesem Server
          Um Zen Cart™ benutzen zu können, müssen PHP Sessions geschrieben werden können. Es könnte sein, dsa Ihre derzeitige Server Konfiguration keine PHP Sessions erlaubt. Ebenso muss ihr Browser Cookies erlauben, um die PHP Session Funktion nutzen zu können. Bitte deaktivieren Sie alle Cookie blockierenden Programme und überprüfen Sie Cookie Einstellungen in ihrem Webbrowser und Ihrer Firewall
    
          Sollte das Problem dadurch nicht behoben werden, dann setzenSie sich bitte mit Ihrem Webhoster in Verbindung.
    
    Installation starten
    Klicke ich auf Installation starten komme ich wieder in die Systemprüfung zurück.

    Den selben Hinweis erhalte ich bei Update auch, aber auch wenn ich auf Datenbank aktualisieren klicke!

    Bin ja froh das ich die Serverfehlermeldung nicht mehr habe, sondern mich immernoch im Installationsprogramm aufhalte, aber wie komme ich aus der Schleife wieder raus?

    Gruß
    Gruß
    Lissy

    *****************************

    ZenCart Version 1.3.7 sowie ZC 1.3.8

    Apache/2.0.54 (Debian GNU/Linux) mod_ssl/2.0.54 OpenSSL/0.9.7e

  9. #9
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.095
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 963

    Standard

    Vorschlag:
    - Via phpMyAdmin alle Tabellen in der Datenbank löschen.
    - Alle Pfade in den beiden configure.php überprüfen
    - Rechte der configure.php und des cache Ordners nochmal prüfen
    - Alle .htaccess in den Unterverzeichnissen rauslöschen
    - Dann den Installer wieder aufrufen
    Klappt es dann, die diversen .htaccess wieder einspielen.

    Klappt es nicht scheint mir das Problem den Namen 1blu.de zu haben.
    Was immer eine Alternative ist, ist den Shop lokal (z.B. XAMPP) zu installieren. Und dann die Datenbanktables einfach mit phpMyAdmin einspielen. Vorher in der Tabelle configuration den Sessionpfad anpassen:
    'Session Directory', 'SESSION_WRITE_DIRECTORY', '/home/xxx/www.xxx.at/cache'
    Und dann die beiden configure.php wieder anpassen und hochladen und Verzeichnis zc_install löschen. So umgehst Du die ganze Installation auf dem 1blu.de Server.

    Viel Erfolg!
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]